Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232617 (perl-Sys-SigAction) - Review Request: perl-Sys-SigAction - Perl extension for Consistent Signal Handling
Summary: Review Request: perl-Sys-SigAction - Perl extension for Consistent Signal Han...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Sys-SigAction
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 13:23 UTC by Andreas Thienemann
Modified: 2010-04-11 19:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 16:44:27 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Thienemann 2007-03-16 13:23:35 UTC
Spec URL: http://home.bawue.de/~ixs/perl-Sys-SigAction/perl-Sys-SigAction.spec
SRPM URL: http://home.bawue.de/~ixs/perl-Sys-SigAction/perl-Sys-SigAction-0.10-1.src.rpm
Description:
Sys::SigAction provides EASY access to POSIX::sigaction() for signal
handling on systems that support sigaction().
It is hoped that with the use of this module, your signal handling
behavior can be coded in a way that does not change from one perl
version to the next, and that sigaction() will be easier for you to use.

Comment 1 Parag AN(पराग) 2007-03-23 06:58:33 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ba520c175ea5c41950f53e60801da476  Sys-SigAction-0.10.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/mask.......ok
t/name.......ok
t/nested.....ok
t/number.....ok
t/safe.......

      NOTE: Setting safe=>1... with masked signals does not seem to work.
      The problem is that the masked signals are not masked, but when
      safe=>0 they are.  See mask.t for how we could try it.

      If you have an application for safe=>1 and can come up with
      a test that works in the context of this module's installation
      please send me an update. To safe.t that tests it.

      Lincoln

ok
t/timeout....ok
All tests successful.
Files=6, Tests=33,  6 wallclock secs ( 1.16 cusr +  0.08 csys =  1.24 CPU)

+ Provides: perl(Sys::SigAction) = 0.10
APPROVED.


Comment 2 Andreas Thienemann 2007-03-23 10:07:37 UTC
New Package CVS Request
=======================
Package Name: perl-Sys-SigAction
Short Description: Read extension for Consistent Signal Handling
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com



Comment 3 Andreas Thienemann 2007-03-23 16:44:27 UTC
Thx for the review. Package has been built for devel, FC-5 and FC-6.
Closing as NEXTRELEASE.

Comment 4 Mark Chappell 2010-04-09 07:58:26 UTC
Package Change Request
======================
Package Name: perl-Sys-SigAction
New Branches: EL-5
Owners: tremble

Have attempted to contact the Fedora owner #574431 no reply

Comment 5 Kevin Fenzi 2010-04-11 19:09:30 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.